# PSF-LoginServer - master - net.psforever.objects.zones.Zone.HotSpot.Rules
PSF - LoginServer - master - net.psforever.objects.zones.Zone.HotSpot.Rules
Keywords: PSF LoginServer master net.psforever.objects.zones.Zone.HotSpot.Rules

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  object Zone
  Definition Classes
    zones
-  object HotSpot
  Definition Classes
    Zone
- Activity
- Cleanup
- ClearAll
- Conflict
- NonEvent
- Rules
- Update
- UpdateNow

o

net.psforever.objects.zones.Zone.HotSpot

# Rules

###

#### object Rules

Source
  Zone.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Rules
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def NoTime(defender: SourceEntry, attacker: SourceEntry): FiniteDuration

   Determine a duration for which the hotspot will be displayed on the zone map.

   Determine a duration for which the hotspot will be displayed on the zone map. The default function.

   defender

     the defending party

   attacker

     the attacking party

   returns

     the duration

5.  def OneToOne(pos: Vector3): Vector3

   Produce hotspot coordinates based on map coordinates.

   Produce hotspot coordinates based on map coordinates. Return the same coordinate as output that was input. The default function.

   pos

     the absolute position of the activity reported

   returns

     the position for a hotspot

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped